libzypp: zypp::MediaSetAccess::Impl Class Reference

libzypp 17.38.7

zypp::MediaSetAccess::Impl Class Reference

## Public Types
using | MediaMap = std::map<media::MediaNr, media::MediaAccessId>
using | VerifierMap = std::map<media::MediaNr, media::MediaVerifierRef>

## Public Member Functions
| Impl (MirroredOrigin &&origin, Pathname &&prefered_attach_point)
| Impl (std::string &&label_r, MirroredOrigin &&origin, Pathname &&prefered_attach_point)

## Public Attributes
MirroredOrigin | _origin
| Media Origin configuration.
Pathname | _prefAttachPoint
| Prefered mount point.
std::string | _label
MediaMap | _medias
| Mapping between media number and Media Access ID.
VerifierMap | _verifiers
| Mapping between media number and corespondent verifier.

## Detailed Description

Definition at line 35 of file MediaSetAccess.cc.

## Member Typedef Documentation

## ◆ MediaMap

using zypp::MediaSetAccess::Impl::MediaMap = std::map<media::MediaNr, media::MediaAccessId>

Definition at line 62 of file MediaSetAccess.cc.

## ◆ VerifierMap

using zypp::MediaSetAccess::Impl::VerifierMap = std::map<media::MediaNr, media::MediaVerifierRef>

Definition at line 63 of file MediaSetAccess.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::MediaSetAccess::Impl::Impl | ( | MirroredOrigin && | origin,
|  | Pathname && | prefered_attach_point )
| inline

Definition at line 38 of file MediaSetAccess.cc.

## ◆ Impl() [2/2]

zypp::MediaSetAccess::Impl::Impl | ( | std::string && | label_r,
|  | MirroredOrigin && | origin,
|  | Pathname && | prefered_attach_point )
| inline

Definition at line 43 of file MediaSetAccess.cc.

## Member Data Documentation

## ◆ _origin

MirroredOrigin zypp::MediaSetAccess::Impl::_origin

Media Origin configuration.

Definition at line 50 of file MediaSetAccess.cc.

## ◆ _prefAttachPoint

Pathname zypp::MediaSetAccess::Impl::_prefAttachPoint

Prefered mount point.

See also
  MediaManager::open(Url,Pathname)
  MediaHandler::_attachPoint

Definition at line 58 of file MediaSetAccess.cc.

## ◆ _label

std::string zypp::MediaSetAccess::Impl::_label

Definition at line 60 of file MediaSetAccess.cc.

## ◆ _medias

MediaMap zypp::MediaSetAccess::Impl::_medias

Mapping between media number and Media Access ID.

Definition at line 66 of file MediaSetAccess.cc.

## ◆ _verifiers

VerifierMap zypp::MediaSetAccess::Impl::_verifiers

Mapping between media number and corespondent verifier.

Definition at line 68 of file MediaSetAccess.cc.

The documentation for this class was generated from the following file:

- zypp/MediaSetAccess.cc